Bug 736310 - sane-backends-libs shouldn't pull in drivers
sane-backends-libs shouldn't pull in drivers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2011-09-07 07:12 EDT by Peter Robinson
Modified: 2011-10-07 05:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: sane-backends-1.0.22-4.fc16
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-04 17:15:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2011-09-07 07:12:44 EDT
sane-backends-libs shouldn't depend on sane-backends. This then allows apps to link against the libraries for scanner support without necessarily needing the support to be installed and hence taking up space if people don't use scanners. This is done with cups-libs for printers as well.
Comment 1 Nils Philippsen 2011-09-07 08:14:44 EDT
Needs some stuff to be split off the main sane-backends package, e.g. /etc/sane/dll.conf. Marking as FutureFeature.
Comment 2 Peter Robinson 2011-09-07 08:29:51 EDT
It would be nice to get this fixed for F-16. For things like Netbooks, OLPC XOs, and ARM based devices such as tablets this helps reduce the size quite a bit, and now that colord links against sane-backends-libs it ends up pulling in quite a bit of size which in a lot of cases we have < 4GB of space so even 20 meg here and there adds up.
Comment 3 Nils Philippsen 2011-09-15 05:59:33 EDT
I'll split off backend drivers into their own subpackage so you can install without them if you need the space.
Comment 4 Fedora Update System 2011-09-16 10:34:54 EDT
sane-backends-1.0.22-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sane-backends-1.0.22-4.fc16
Comment 5 Fedora Update System 2011-09-17 15:34:04 EDT
Package sane-backends-1.0.22-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sane-backends-1.0.22-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/sane-backends-1.0.22-4.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-10-04 17:15:50 EDT
sane-backends-1.0.22-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Rex Dieter 2011-10-05 15:21:15 EDT
Realize now sane-backends doesn't "just work", and users are now expected to manually install drivers?  and, comparing to cups isn't exactly fair, cups included pk integration to pull in needed drivers on demand... will sane-backends be able to grow a feature like that?
Comment 8 Nils Philippsen 2011-10-07 05:04:09 EDT
(In reply to comment #7)
> Realize now sane-backends doesn't "just work", and users are now expected to
> manually install drivers?

Relax. The updated packages do the necessary obsoletes dance so people who had drivers before will have them afterwards. I've added the new packages to the relevant comps groups in F-16 and later and if it's safe to do so (i.e. software using comps like anaconda won't stumble over packages only available as updates), I'll add them to F-14 and F-15 as well.

> and, comparing to cups isn't exactly fair, cups
> included pk integration to pull in needed drivers on demand... will
> sane-backends be able to grow a feature like that?

Not without a lot of work -- in SANE, the information which driver supports your scanner is unfortunately only in the driver, so only available if it's installed. Therefore the new packages need to go into comps.

Note You need to log in before you can comment on or make changes to this bug.